apiVersion: appstudio.redhat.com/v1alpha1
kind: Snapshot
metadata:
  annotations:
    build.appstudio.openshift.io/repo: https://github.com/stackrox/operator-index?rev=96367155c78a81c311bfd06d71511fc6a56fe04b
    build.appstudio.redhat.com/commit_sha: 96367155c78a81c311bfd06d71511fc6a56fe04b
    build.appstudio.redhat.com/pull_request_number: '{{pull_request_number}}'
    build.appstudio.redhat.com/target_branch: konflux/mintmaker/stackrox-custom-konflux-tasks
    pac.test.appstudio.openshift.io/branch: konflux/mintmaker/stackrox-custom-konflux-tasks
    pac.test.appstudio.openshift.io/check-run-id: "43681034090"
    pac.test.appstudio.openshift.io/controller-info: '{"name":"default","configmap":"pipelines-as-code","secret":"pipelines-as-code-secret",
      "gRepo": "pipelines-as-code"}'
    pac.test.appstudio.openshift.io/event-type: push
    pac.test.appstudio.openshift.io/git-auth-secret: pac-gitauth-hmxyhd
    pac.test.appstudio.openshift.io/git-provider: github
    pac.test.appstudio.openshift.io/installation-id: "41511273"
    pac.test.appstudio.openshift.io/log-url: https://konflux-ui.apps.stone-prd-rh01.pg1f.p1.openshiftapps.com/ns/rh-acs-tenant/pipelinerun/operator-index-ocp-v4-12-on-push-nd645
    pac.test.appstudio.openshift.io/max-keep-runs: "500"
    pac.test.appstudio.openshift.io/on-cel-expression: |
      (event == "push" && target_branch.matches("^(master|konflux/references/master|konflux/mintmaker/.*)$")) ||
      (event == "pull_request")
    pac.test.appstudio.openshift.io/original-prname: operator-index-ocp-v4-12-on-push
    pac.test.appstudio.openshift.io/repo-url: https://github.com/stackrox/operator-index
    pac.test.appstudio.openshift.io/repository: operator-index
    pac.test.appstudio.openshift.io/sender: red-hat-konflux[bot]
    pac.test.appstudio.openshift.io/sha: 96367155c78a81c311bfd06d71511fc6a56fe04b
    pac.test.appstudio.openshift.io/sha-title: 'chore(deps): update quay.io/rhacs-eng/konflux-tasks:latest
      docker digest to 5601466'
    pac.test.appstudio.openshift.io/sha-url: https://github.com/stackrox/operator-index/commit/96367155c78a81c311bfd06d71511fc6a56fe04b
    pac.test.appstudio.openshift.io/source-branch: refs/heads/konflux/mintmaker/stackrox-custom-konflux-tasks
    pac.test.appstudio.openshift.io/source-repo-url: https://github.com/stackrox/operator-index
    pac.test.appstudio.openshift.io/state: completed
    pac.test.appstudio.openshift.io/url-org: stackrox
    pac.test.appstudio.openshift.io/url-repository: operator-index
    test.appstudio.openshift.io/git-reporter-status: '{"scenarios":{"acs-operator-index-ocp-enterprise-contract-ocp-v4-12-acs-operator-index-ocp-v4-12-mksf4":{"lastUpdateTime":"2025-06-08T05:17:40.080878133Z"}}}'
    test.appstudio.openshift.io/pipelinerunstarttime: "1749359109"
    test.appstudio.openshift.io/source-repo-url: https://github.com/stackrox/operator-index
    test.appstudio.openshift.io/status: '[{"scenario":"acs-operator-index-ocp-enterprise-contract-ocp-v4-12","status":"TestPassed","lastUpdateTime":"2025-06-08T05:17:40.080878133Z","details":"Integration
      test passed","startTime":"2025-06-08T05:17:03.325138513Z","completionTime":"2025-06-08T05:17:40.080878133Z","testPipelineRunName":"acs-operator-index-ocp-enterprise-contract-ocp-v4-12-rtgs7"}]'
  creationTimestamp: "2025-06-08T05:17:03Z"
  generateName: acs-operator-index-ocp-v4-12-
  generation: 1
  labels:
    appstudio.openshift.io/application: acs-operator-index-ocp-v4-12
    appstudio.openshift.io/build-pipelinerun: operator-index-ocp-v4-12-on-push-nd645
    appstudio.openshift.io/component: operator-index-ocp-v4-12
    pac.test.appstudio.openshift.io/check-run-id: "43681034090"
    pac.test.appstudio.openshift.io/event-type: push
    pac.test.appstudio.openshift.io/original-prname: operator-index-ocp-v4-12-on-push
    pac.test.appstudio.openshift.io/repository: operator-index
    pac.test.appstudio.openshift.io/sha: 96367155c78a81c311bfd06d71511fc6a56fe04b
    pac.test.appstudio.openshift.io/state: completed
    pac.test.appstudio.openshift.io/url-org: stackrox
    pac.test.appstudio.openshift.io/url-repository: operator-index
    test.appstudio.openshift.io/pipelinerunfinishtime: "1749359817"
    test.appstudio.openshift.io/type: component
  name: acs-operator-index-ocp-v4-12-mksf4
  namespace: rh-acs-tenant
  ownerReferences:
  - apiVersion: appstudio.redhat.com/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: Application
    name: acs-operator-index-ocp-v4-12
    uid: e50498f9-cb4e-4d9a-8b2c-ea232ef7010a
  resourceVersion: "4109171939"
  uid: 147c3244-051b-49f7-ba0f-bfda7281cfa7
spec:
  application: acs-operator-index-ocp-v4-12
  artifacts: {}
  components:
  - containerImage: quay.io/rhacs-eng/stackrox-operator-index@sha256:c1fa8641d603a37f4acf493ad413171ed3fa2bd735787a44cf9fa83930acfac8
    name: operator-index-ocp-v4-12
    source:
      git:
        revision: 96367155c78a81c311bfd06d71511fc6a56fe04b
        url: https://github.com/stackrox/operator-index
status:
  conditions:
  - lastTransitionTime: "2025-06-08T05:17:03Z"
    message: The Snapshot's component(s) was/were added to the global candidate list
    reason: Added
    status: "True"
    type: AddedToGlobalCandidateList
  - lastTransitionTime: "2025-06-08T05:17:40Z"
    message: Snapshot integration status condition is finished since all testing pipelines
      completed
    reason: Finished
    status: "True"
    type: AppStudioIntegrationStatus
  - lastTransitionTime: "2025-06-08T05:17:40Z"
    message: All Integration Pipeline tests passed
    reason: Passed
    status: "True"
    type: AppStudioTestSucceeded
  - lastTransitionTime: "2025-06-08T05:17:40Z"
    message: Skipping auto-release of the Snapshot because no ReleasePlans have the
      'auto-release' label set to 'true'
    reason: AutoReleased
    status: "True"
    type: AutoReleased
